Node 12 environment update

I can update my environment to node 12.
my var AWS_LAMBDA_JS_RUNTIME is set to nodejs12.x but my log:

3:52:41 PM: v10.17.0 is already installed.
3:52:42 PM: Now using node v10.17.0 (npm v6.11.3)

Hi @andre.c.alves! Welcome to netlify community.

Please change the name of your env var so it doesn’t start with “AWS”. Let us know if that helps!

Hi, @laura!

Worked with environment NODE_VERSION=v12.13.1

Thank you!

1 Like

Can anyone update this guide please: https://www.netlify.com/blog/2019/12/04/node.js-12-now-available-for-netlify-functions/ ?

hi there,

thanks for pointing that out! We wouldn’t retro-actively change a blog post (as the version number was correct at time of writing) but we have a single source of truth you can always refer to when needing to know what the default versions of things are.

A build’s Node.js version is initially determined by the default version preinstalled on the site’s selected build image.

All Netlify build images are stored in a public GitHub repository.”

Heads up that we will be updating default versions in the near future, but you can always set your own specific version of node to any available version via nvm:

I think we should at least add an addendum, or hide this article, then

noted - i can check in with the marketing department about that, but I can’t promise that it’ll happen :slight_smile:

thanks perry. That would be awesome

1 Like